Re: [greenstone-users] Illegal OAI verb error

From Oran Fry
DateMon, 13 Aug 2007 10:15:11 +1200
Subject Re: [greenstone-users] Illegal OAI verb error
In-Reply-To (002e01c7daca$048fa440$7cd36281-DJJSP581)
Hi Heather,

Please see notes below.

Kind Regards,
Oran.

Heather Rolen wrote:

Thanks Oran.  I saw your email earlier and felt a bit overwhelmed, I’m embarrassed to say. 

 

I have a public version of my collection up and running.  What is involved in upgrading to 2.74?

Are you using the windows stand-alone server? If so, these instructions will help. If not, the instructions will need to be tweaked a bit. Just write back and I will help you out.

To get Greenstone2.74 running with your existing collections, without disturbing your 2.73 installation in the mean time, you could follow these steps:

 * Install 2.74 into a different location to you 2.73 installation (let's say, C:\Program Files\Greenstone2.74)
 * Delete the C:\Program Files\Greenstone2.74\collect directory
 * Copy the collect directory from your 2.73 installation to your C:\Program Files\Greenstone2.74, to replace the one that was deleted in the last step
 * Test your new intallation. Start up Greenstone2.74, but using a different port. (Change the port number with file -> settings -> port number). Visit the library and check that your collections are working properly.
 * Shutdown Greenstone2.74.
 * Now shut down Greenstone2.73 and start up Greenstone2.74 on port 80.
 * You might want to uninstall 2.73, but please keep a backup of the important files like the collect directory and any config files you have spent time on!

Will my collection be affected by the updates in this new release?

With each release of Greenstone2, we aim to maintain backwards compatibility. So your collections should not be affected, especially given that you will only be upgrading by one release!

 

Heather

 


From: Oran Fry [mailto:oranfry@cs.waikato.ac.nz]
Sent: Thursday, August 09, 2007 5:08 PM
To: Heather Rolen; greenstone-users@list.scms.waikato.ac.nz
Subject: Re: [greenstone-users] Illegal OAI verb error

 

Hi Heather,

Actually, it sounds like you are experiencing a bug in the oaiserver which was corrected in our latest release, Greenstone 2.74. If the problem you described won't go away, try upgrading to 2.74, available at http://www.greenstone.org/download .

Cheers,
Oran.

Oran Fry wrote:

Hi Heather,

You get an Illegal OAI verb error when you don't pass any arguments to the oaiserver. Perhaps the validator is stripping the arguments off your URL?

Cheers,
Oran.

Heather Rolen wrote:

Hi,

I would like to register a digital collection as a data provider.  The collection was built using Greenstone version 2.7.  I have configured the oai.cfg file according to Greenstone instructions but I am getting an illegal oai verb error message when I try to validate the url.

 

I would appreciate some suggestions or help if someone on the listserv also has experience with registering a Greenstone collection as an OAI repository.

 

Regards,

Heather

 




 
_______________________________________________
greenstone-users mailing list
greenstone-users@list.scms.waikato.ac.nz
https://list.scms.waikato.ac.nz/mailman/listinfo/greenstone-users
  



 



 
_______________________________________________
greenstone-users mailing list
greenstone-users@list.scms.waikato.ac.nz
https://list.scms.waikato.ac.nz/mailman/listinfo/greenstone-users